Nimbu Developer Docs
ReferenceCustomer Sessions

Confirm customer email

POST
/customers/confirmations

Confirms a customer's email using a confirmation token.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Header Parameters

X-Nimbu-Site*string

Site identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

confirmation_token*string

Response Body

application/json

curl -X POST "https://example.com/customers/confirmations" \  -H "X-Nimbu-Site: string" \  -H "Content-Type: application/json" \  -d '{    "confirmation_token": "string"  }'
{
  "id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "name": "string",
  "firstname": "string",
  "lastname": "string",
  "email": "string",
  "language": "string",
  "number": "string",
  "slug": "string",
  "status": "string",
  "groups": [
    "string"
  ],
  "url": "http://example.com",
  "confirmation_token": "string",
  "last_activity_at": "2019-08-24T14:15:22Z",
  "roles": [
    "string"
  ]
}
Empty